<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

use Gls\GlsPoland\AdePlus\Response;
use Gls\GlsPoland\Soap\Client\Type\ResultInterface;
use JsonSerializable;

final class AdePickupGetIdentResponse extends Response implements ResultInterface, JsonSerializable
{
    /**
     * @var \Gls\GlsPoland\AdePlus\Type\CIdent
     */
    protected $return;

    public function jsonSerialize(): array
    {
        return [
            'return' => $this->return,
        ];
    }

    public function getReturn(): CIdent
    {
        return $this->return;
    }

    public function withReturn(CIdent $return): AdePickupGetIdentResponse
    {
        $new = clone $this;
        $new->return = $return;

        return $new;
    }
}
